package cn.com.poc.ai_data_audit.convert;	

import cn.com.poc.ai_data_audit.model.BizAiDataAuditFileModel;
import cn.com.poc.ai_data_audit.entity.BizAiDataAuditFileEntity;
import cn.com.poc.ai_data_audit.dto.BizAiDataAuditFileDto;


public class BizAiDataAuditFileConvert {

    public static BizAiDataAuditFileEntity modelToEntity(BizAiDataAuditFileModel model){
        BizAiDataAuditFileEntity entity = new BizAiDataAuditFileEntity();
        entity.setDataAuditFileId(model.getDataAuditFileId());
        entity.setTaskId(model.getTaskId());
        entity.setOrginalTemplateCode(model.getOrginalTemplateCode());
        entity.setOrginalTemplateName(model.getOrginalTemplateName());
        entity.setUploadFileName(model.getUploadFileName());
        entity.setUploadFileUrl(model.getUploadFileUrl());
        entity.setMd5(model.getMd5());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizAiDataAuditFileModel entityToModel(BizAiDataAuditFileEntity entity){
        BizAiDataAuditFileModel model = new BizAiDataAuditFileModel();
        model.setDataAuditFileId(entity.getDataAuditFileId());
        model.setTaskId(entity.getTaskId());
        model.setOrginalTemplateCode(entity.getOrginalTemplateCode());
        model.setOrginalTemplateName(entity.getOrginalTemplateName());
        model.setUploadFileName(entity.getUploadFileName());
        model.setUploadFileUrl(entity.getUploadFileUrl());
        model.setMd5(entity.getMd5());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }
    
    public static BizAiDataAuditFileDto entityToDto(BizAiDataAuditFileEntity entity){
        BizAiDataAuditFileDto dto = new BizAiDataAuditFileDto();
        dto.setDataAuditFileId(entity.getDataAuditFileId());
        dto.setTaskId(entity.getTaskId());
        dto.setOrginalTemplateCode(entity.getOrginalTemplateCode());
        dto.setOrginalTemplateName(entity.getOrginalTemplateName());
        dto.setUploadFileName(entity.getUploadFileName());
        dto.setUploadFileUrl(entity.getUploadFileUrl());
        dto.setMd5(entity.getMd5());
        dto.setIsDeleted(entity.getIsDeleted());
        dto.setCreator(entity.getCreator());
        dto.setCreatedTime(entity.getCreatedTime());
        dto.setModifier(entity.getModifier());
        dto.setModifiedTime(entity.getModifiedTime());
        dto.setSysVersion(entity.getSysVersion());
        return dto;
    }

    public static BizAiDataAuditFileEntity dtoToEntity(BizAiDataAuditFileDto dto){
        BizAiDataAuditFileEntity entity = new BizAiDataAuditFileEntity();
        entity.setDataAuditFileId(dto.getDataAuditFileId());
        entity.setTaskId(dto.getTaskId());
        entity.setOrginalTemplateCode(dto.getOrginalTemplateCode());
        entity.setOrginalTemplateName(dto.getOrginalTemplateName());
        entity.setUploadFileName(dto.getUploadFileName());
        entity.setUploadFileUrl(dto.getUploadFileUrl());
        entity.setMd5(dto.getMd5());
        entity.setIsDeleted(dto.getIsDeleted());
        entity.setCreator(dto.getCreator());
        entity.setCreatedTime(dto.getCreatedTime());
        entity.setModifier(dto.getModifier());
        entity.setModifiedTime(dto.getModifiedTime());
        entity.setSysVersion(dto.getSysVersion());
        return entity;
    }
}